<?
$set['title']='Редактор наград';
include_once '../sys/inc/thead.php';
title();

err();


echo "<div class='rekl_main'>\n";

if(isset($_GET['add']))
{
if(isset($_GET['ok']) && isset($_POST['ok']))
{
$msg=$_POST['msg'];
if(strlen2($msg)<1)$err[]='Слишком короткое название награды';
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png')$err[]='Это не картинка';
}
else $err[]='Выберите картинку';
$cena=intval($_POST['cena']);
$cena_add=intval($_POST['cena_add']);
if(!is_numeric($cena))$err[]='Неверные данные в поле "Цена"';
if(!is_numeric($cena_add))$err[]='Неверные данные в поле "Кол-во подарочных баллов"';
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `rank_list` SET `msg` = '".my_esc($msg)."', `cena` = '$cena', `cena_add` = '$cena_add'");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"img_rank/$id.png");
header("location: ?act=admin");
}
}
err();
echo "<form method=\"post\" action=\"?act=admin&add&ok\" enctype='multipart/form-data'>\n";
echo "Название:<br /><input name=\"msg\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='0' /><br />\n";
echo "Кол-во подарочных баллов:<br /><input name=\"cena_add\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Изображение награды(потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form>\n";
echo "</div>";

echo "<div class='foot'><img src='img/back.png' /> <a href='?act=admin'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `rank_list` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `rank_list` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
if(isset($_GET['ok']) && isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png')$err[]='Это не картинка';
}
else $err[]='Выберите картинку';
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("img_rank/$edit[id].png");
move_uploaded_file($tmp, 
"img_rank/$edit[id].png");
header("Location:?act=admin&edit=$edit[id]");
}
}
err();
echo "<form method=\"post\" action=\"?act=admin&edit=$edit[id]&change_img&ok\" enctype='multipart/form-data'>\n";
echo "Изображение награды:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "<div class='foot'><img src='img/back.png' /> <a href='?act=admin&edit=$edit[id]'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}


if(isset($_GET['ok']) && isset($_POST['ok']))
{
$msg=$_POST['msg'];
if(strlen2($msg)<1)$err[]='Слишком короткое название награды';
$cena=intval($_POST['cena']);
$cena_add=intval($_POST['cena_add']);
if(!is_numeric($cena))$err[]='Неверные данные в поле "Цена"';
if(!is_numeric($cena_add))$err[]='Неверные данные в поле "Кол-во подарочных баллов"';
if (!isset($err))
{
mysql_query("UPDATE `rank_list` SET `msg` = '".my_esc($msg)."', `cena` = '$cena', `cena_add` = '$cena_add' WHERE `id` = '$edit[id]'");
header("Location:?act=admin");
}
}
err();
echo "<table>";
echo "<tr>";
echo "<td style='border-top: 1px #CCC solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 10%' rowspan='1'>";
echo "<img src='img_rank/$edit[id].png'><br/>";
echo "</td>";
echo "<td style='border-top: 1px #ccc solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 91%' rowspan='1'>";
echo "<a href='?act=admin&edit=$edit[id]&change_img'>Заменить картинку</a>";
echo "</td></tr>";
echo "</table>";
echo "<form method=\"post\" action=\"?act=admin&edit=$edit[id]&ok\">\n";
echo "Название:<br /><input name=\"msg\" type=\"text\" maxlength='32' value='$edit[msg]' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='$edit[cena]' /><br />\n";
echo "Кол-во подарочных баллов:<br /><input name=\"cena_add\" type=\"text\" maxlength='32' value='$edit[cena_add]' size='4'/><br />\n";
echo "<input value='Добавить' type='submit' name='ok' /></form><br />\n";
echo "<div class='foot'><img src='img/back.png' /> <a href='?act=admin'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `rank_list` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `rank_list` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `rank_list` WHERE `id` = '$del[id]'");
mysql_query("DELETE FROM `rank` WHERE `id_rank` = '$del[id]'");
unlink("img_rank/$del[id].png");
header("Location:?act=admin");
}
echo "<center>Вы уверены, что хотите удалить эту награду?<br />
<small>[<a style='color:red' href='?act=admin&del=$del[id]&ok'>Да</a>]</small> [<a style='color:blue'  href='?act=admin'>Нет</a>]</center><br />\n";
echo "<div class='foot'><img src='img/back.png' /> <a href='?act=admin'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}



echo "<div class='foot1'><img src='img/add.png'> <a href='?act=admin&add'>Добавить награду</a></div>";
echo "<table>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `rank_list`"),0);
if ($k_post==0)
{
echo "Список нагда пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `rank_list` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<tr>";
if(isset($num) && $num==1)
{
echo "<td style='border-top: 1px #CCC solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 10%' rowspan='1'>";
}
else
{
echo "<td style='border-top: 1px #CCC solid;background-color: #fff;padding: 1px;margin: 1px;width: 10%' rowspan='1'>";
}
echo "<img src='img_rank/$post[id].png'><br/>";
echo "</td>";
if(isset($num) && $num==1)
{
echo "<td style='border-top: 1px #ccc solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 91%' rowspan='1'>";
$num=0;
}
else
{
echo "<td style='border-top: 1px #CCC solid;background-color: #FFF;padding: 1px;margin: 1px;width: 91%' rowspan='1'>";
$num=1;
}
echo "<span style='float: right; font-size: small; color: grey'><a class='icolink' href='?act=admin&edit=$post[id]'><img src='img/edit.png'/></a> | <a class='icolink' href='?act=admin&del=$post[id]'><img src='img/del.png'/></a></span>\n";
echo "Название: ".htmlspecialchars($post['msg'])."<br/>";
echo "Цена: $post[cena] бал.<br/>";
echo "Кол-во подарочных баллов: $post[cena_add] бал.<br/>";

echo "</td></tr>";
}
if ($k_page>1)str("?act=admin&",$k_page,$page); // Вывод страниц
echo "</table>";
echo "<div class='foot'><img src='img/back.png' /> <a href='/adm_panel'>Админка</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
?>